VERSION 5.00
Object = "{94C8DA1F-FDF5-11D0-BB7C-0055003B26DE}#1.0#0"; "mwheel.ocx"
Object = "{00028C01-0000-0000-0000-000000000046}#1.0#0"; "DBGRID32.OCX"
Begin VB.Form Form1 
   Caption         =   "Data Control and Grid test"
   ClientHeight    =   2970
   ClientLeft      =   2145
   ClientTop       =   3045
   ClientWidth     =   5355
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2970
   ScaleWidth      =   5355
   Begin MSDBGrid.DBGrid DBGrid1 
      Bindings        =   "datatest.frx":0000
      Height          =   1275
      Left            =   60
      OleObjectBlob   =   "datatest.frx":0010
      TabIndex        =   6
      Top             =   1200
      Width           =   5235
   End
   Begin MouseWheelOCX.MouseWheel MouseWheel1 
      Left            =   4680
      Top             =   180
      _ExtentX        =   847
      _ExtentY        =   847
   End
   Begin VB.CommandButton cmdMoveLast 
      Caption         =   "MoveLast"
      Height          =   315
      Left            =   4020
      TabIndex        =   5
      Top             =   840
      Width           =   1275
   End
   Begin VB.CommandButton cmdMovePrev 
      Caption         =   "MovePrevious"
      Height          =   315
      Left            =   2700
      TabIndex        =   4
      Top             =   840
      Width           =   1275
   End
   Begin VB.CommandButton cmdMoveNext 
      Caption         =   "MoveNext"
      Height          =   315
      Left            =   1380
      TabIndex        =   3
      Top             =   840
      Width           =   1275
   End
   Begin VB.CommandButton cmdMoveFirst 
      Caption         =   "MoveFirst"
      Height          =   315
      Left            =   60
      TabIndex        =   2
      Top             =   840
      Width           =   1275
   End
   Begin VB.Data Data1 
      Caption         =   "Spin the MouseWheel over me or the grid!"
      Connect         =   "Access"
      DatabaseName    =   "F:\Code\Controls\MouseWheel\TechSupport\DataControl\Test.mdb"
      DefaultCursorType=   0  'DefaultCursor
      DefaultType     =   2  'UseODBC
      Exclusive       =   0   'False
      Height          =   345
      Left            =   60
      Options         =   0
      ReadOnly        =   0   'False
      RecordsetType   =   1  'Dynaset
      RecordSource    =   "Sys Info"
      Top             =   2520
      Width           =   5235
   End
   Begin VB.Label Label2 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label2"
      DataField       =   "Value"
      DataSource      =   "Data1"
      Height          =   255
      Left            =   60
      TabIndex        =   1
      Top             =   480
      Width           =   5235
   End
   Begin VB.Label Label1 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      DataField       =   "Name"
      DataSource      =   "Data1"
      Height          =   255
      Left            =   60
      TabIndex        =   0
      Top             =   120
      Width           =   5235
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long

Private Enum RepositionTypes
   MoveFirst = 0
   MoveLast = 1
   MoveNext = 2
   MovePrev = 3
End Enum
   
Private m_hWndData As Long

Private Sub cmdMoveFirst_Click()
   Reposition MoveFirst
End Sub

Private Sub cmdMoveLast_Click()
   Reposition MoveLast
End Sub

Private Sub cmdMoveNext_Click()
   Reposition MoveNext
End Sub

Private Sub cmdMovePrev_Click()
   Reposition MovePrev
End Sub

Private Sub Form_Activate()
   Dim col As Column
   For Each col In DBGrid1.Columns
      col.Width = DBGrid1.Width \ 2
   Next col
End Sub

Private Sub Form_Load()
   MouseWheel1.ScrollWhich = ControlUnderMouse
   Data1.DatabaseName = App.Path & "\test.mdb"
   m_hWndData = FindWindowEx(Me.hWnd, 0, "ThunderData", Data1.Caption)
   Me.Icon = Nothing
End Sub

Private Sub Reposition(ByVal WhereTo As RepositionTypes)
   With Data1.Recordset
      Select Case WhereTo
         Case MoveFirst
            .MoveFirst
         Case MoveLast
            .MoveLast
         Case MoveNext
            If .EOF = False Then
               .MoveNext
               ' to mimick the EOFAction property of the data control
               If .EOF = True Then
                  .MoveLast
               End If
            End If
         Case MovePrev
            If .BOF = False Then
               .MovePrevious
               ' to mimick the BOFAction property of the data control
               If .BOF = True Then
                  .MoveFirst
               End If
            End If
      End Select
   End With
End Sub

Private Sub MouseWheel1_AfterMouseWheel(ByVal hWnd As Long, ByVal Delta As Long, ByVal Shift As Long, ByVal Button As Long, ByVal x As Long, ByVal y As Long)
   If hWnd = m_hWndData Then
      If Delta > 0 Then
         If Button And vbMiddleButton Then
            Reposition MoveFirst
         Else
            Reposition MovePrev
         End If
      Else
         If Button And vbMiddleButton Then
            Reposition MoveLast
         Else
            Reposition MoveNext
         End If
      End If
   End If
End Sub

Private Sub MouseWheel1_BeforeMouseWheel(ByVal hWnd As Long, ByVal Delta As Long, ByVal Shift As Long, ByVal Button As Long, ByVal x As Long, ByVal y As Long, Cancel As Boolean)
   Select Case hWnd
      Case DBGrid1.hWnd
         If Button = vbMiddleButton Then
            Call MouseWheel1.HorzScroll(hWnd, Delta)
            Cancel = True
         End If
   End Select
End Sub
